# DXGfxLib.ObjectFromObj Class Reference

This class is used to load .obj file (wavefront format). It is not finished yet. It expect to read vertices with normal and texture information. If the file you pass to that class lack these information the object that will be displayed in the end will be ugly to say the least. More...

Inherits DXGfxLib::MeshObject, and DXGfxLib::MeshObject.

Collaboration diagram for DXGfxLib.ObjectFromObj:

[legend]

List of all members.

## Public Member Functions
| ObjectFromObj ()
| A default constructor.
void | Load (Device d3ddevice, string wavefrontObjFile)
| This method performs the work needed to load the data from the .obj and .mtl files.
void | LoadMtl (Device d3ddevice, string file)
| This method is used to load information stored in .mtl files referenced by the .obj file.
override void | Draw (Device d3ddevice)
| Actual rendering of the tile. As always for the render method and as for the attach method, that method is called when needed on objects by the scene manager.
string[] | FilteredSplit (string strIn, char[] separator)
| This method is used to split string in a list of strings based on the separator passed to hte method.
| ObjectFromObj ()
| A default constructor.
void | Load (Device d3ddevice, string wavefrontObjFile)
| This method performs the work needed to load the data from the .obj and .mtl files.
void | LoadMtl (Device d3ddevice, string file)
| This method is used to load information stored in .mtl files referenced by the .obj file.
override void | Draw (Device d3ddevice)
| Actual rendering of the tile. As always for the render method and as for the attach method, that method is called when needed on objects by the scene manager.
string[] | FilteredSplit (string strIn, char[] separator)
| This method is used to split string in a list of strings based on the separator passed to hte method.

## Detailed Description

This class is used to load .obj file (wavefront format). It is not finished yet. It expect to read vertices with normal and texture information. If the file you pass to that class lack these information the object that will be displayed in the end will be ugly to say the least.

Definition at line 54 of file ObjectFromObj.cs.

## Constructor & Destructor Documentation

DXGfxLib.ObjectFromObj.ObjectFromObj | ( |  | ) |

A default constructor.

Definition at line 81 of file ObjectFromObj.cs.

DXGfxLib.ObjectFromObj.ObjectFromObj | ( |  | ) |

A default constructor.

Definition at line 81 of file ObjectFromObj.cs.

## Member Function Documentation

override void DXGfxLib.ObjectFromObj.Draw | ( | Device | d3ddevice | ) | `[virtual]`

Actual rendering of the tile. As always for the render method and as for the attach method, that method is called when needed on objects by the scene manager.

Reimplemented from DXGfxLib.MeshObject.

Definition at line 397 of file ObjectFromObj.cs.

override void DXGfxLib.ObjectFromObj.Draw | ( | Device | d3ddevice | ) | `[virtual]`

Actual rendering of the tile. As always for the render method and as for the attach method, that method is called when needed on objects by the scene manager.

Reimplemented from DXGfxLib.MeshObject.

Definition at line 397 of file ObjectFromObj.cs.

string [] DXGfxLib.ObjectFromObj.FilteredSplit | ( | string | strIn,
|  | char[] | separator |
| ) |  |  |

This method is used to split string in a list of strings based on the separator passed to hte method.

Parameters:

  | strIn |
  | separator |

Returns:

Definition at line 414 of file ObjectFromObj.cs.

string [] DXGfxLib.ObjectFromObj.FilteredSplit | ( | string | strIn,
|  | char[] | separator |
| ) |  |  |

This method is used to split string in a list of strings based on the separator passed to hte method.

Parameters:

  | strIn |
  | separator |

Returns:

Definition at line 414 of file ObjectFromObj.cs.

Here is the caller graph for this function:

void DXGfxLib.ObjectFromObj.Load | ( | Device | d3ddevice,
|  | string | wavefrontObjFile |
| ) |  |  |

This method performs the work needed to load the data from the .obj and .mtl files.

Parameters:

  | d3ddevice |
  | wavefrontObjFile |

Definition at line 97 of file ObjectFromObj.cs.

Here is the call graph for this function:

void DXGfxLib.ObjectFromObj.Load | ( | Device | d3ddevice,
|  | string | wavefrontObjFile |
| ) |  |  |

This method performs the work needed to load the data from the .obj and .mtl files.

Parameters:

  | d3ddevice |
  | wavefrontObjFile |

Definition at line 97 of file ObjectFromObj.cs.

Here is the call graph for this function:

void DXGfxLib.ObjectFromObj.LoadMtl | ( | Device | d3ddevice,
|  | string | file |
| ) |  |  |

This method is used to load information stored in .mtl files referenced by the .obj file.

Parameters:

  | d3ddevice |
  | file |

Definition at line 316 of file ObjectFromObj.cs.

Here is the call graph for this function:

void DXGfxLib.ObjectFromObj.LoadMtl | ( | Device | d3ddevice,
|  | string | file |
| ) |  |  |

This method is used to load information stored in .mtl files referenced by the .obj file.

Parameters:

  | d3ddevice |
  | file |

Definition at line 316 of file ObjectFromObj.cs.

Here is the call graph for this function:

Here is the caller graph for this function:

The documentation for this class was generated from the following files:

- D:/guillaume/guillara/3D/DXGfx/Backup/DXGfxLib/ObjectFromObj.cs
- D:/guillaume/guillara/3D/DXGfx/DXGfxLib/ObjectFromObj.cs